System.ServiceModel 4.0.0.0 System.ServiceModel.Configuration.ServiceModelExtensionElement System.Configuration.ConfigurationElement System.Collections.Generic.ICollection<TServiceModelExtensionElement> System.Collections.Generic.IEnumerable<TServiceModelExtensionElement> To be added. To be added.

An abstract base class for a collection of objects.

- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void

  This method empties the collection and resets its property to 0.

  Deletes all elements in this collection. This method cannot be inherited.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether this collection contains an element of the specified name.

  true if the collection contains an element of the specified name; otherwise, false.

  The name of the element to search for.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether this collection contains an element of the specified type.

  true if the collection contains an element of the specified type; otherwise, false.

  The type of the element to search for.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of items in this collection.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  Reads XML from the configuration file.

  The that reads from the configuration file. true to serialize only the collection key properties; otherwise, false.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerator<TServiceModelExtensionElement> To be added.

  Returns an that iterates through a collection. This method cannot be inherited.

  An object that can be used to iterate through the collection.

- Method
  4.0.0.0
  System.Boolean

  This method determines whether this object is written to the configuration file. If the return value is false, it is assumed that the configuration file represents the current state of the element.

  By default, this property returns true after a property is set through the indexer to this object.

  You should override this method to provide custom indication of the state of this element.

  Indicates whether this configuration element has been modified since it was last saved or loaded, when implemented in a derived class.

  true if the element has been modified; otherwise, false.

- Property
  4.0.0.0
  TServiceModelExtensionElement `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  TServiceModelExtensionElement `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Gets a value that indicates whether an unknown element is encountered during deserialization.

  true when an unknown element is encountered while deserializing; otherwise, false.

  The name of the unknown sub-element. The being used for deserialization.
- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Gets a instance that contains a collection of objects that can be attributes or objects of this configuration element.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void ``

  The default behavior for this method is to clear any modified elements a collection contains and to set the modified elements to the values specified by their parent configuration file. If any element in the collection has child elements, this method is also called on those child elements.

  Resets this collection to its unmodified state when overridden in a derived class.

  The parent object of the current element, or null if this is the top level.
- Method
  4.0.0.0
  System.Void

  This method determines whether the elements of this collection is written to the configuration file when the configuration is updated.

  Resets the value of the property to false when overridden in a derived class.

- Method
  4.0.0.0
  System.Void To be added.

  Sets the property for this collection.

- Property
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Returns an that iterates through a collection. This method cannot be inherited.

  An that can be used to iterate through the collection.